node JS is a runtime environment which allows us to
create developer/backend/server-side appliations with JS

because by default, JS was conceptualized solely to the frontend

Node JS Popular

performance - Node js is one of the most performing environment
for creating backend applications with JS

Familiary - since JS is build-around and uses JS as its language,
it is very familiar for most developers

NPM - Node Package Manager is the largest registry node packages.
Packages are bits of programs, method, function, codes that
greatly help in the development of an application.

